%define version 2.03
%define release 1mdk

Summary:	Collection of applications for viewing and editing images
Name:		fbida
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphics
URL:		http://linux.bytesex.org/fbida/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://dl.bytesex.org/releases/fbida/%{name}-%{version}.tar.bz2
Patch0:		fbida-2.03-mktemp.patch.bz2
Patch1:		fbida-2.03-fbgs-arbitrary-resolution.patch.bz2
Obsoletes:	fbi
Provides:	fbi
#BuildRequires:	XFree86-devel
BuildRequires:	curl-devel
BuildRequires:	freetype2-devel
BuildRequires:	jpeg-devel
BuildRequires:	libexif-devel
BuildRequires:	libpcd-devel
BuildRequires:	lirc-devel
BuildRequires:	png-devel
BuildRequires:	sane-devel
BuildRequires:	tiff-devel
BuildRequires:	ungif-devel
BuildRequires:	lesstif-devel
BuildRequires:	xpm-devel
# fbi uses convert to show indirectly supported image format
Requires:	ImageMagick
# fbgs requires gs
Requires:	ghostscript

%description
The fbida project contains a few applications for viewing and editing
images, with the main focus being photos. The applications are:

fbi      - Image viewer for Linux framebuffer console
fbgs     - Wrapper script using fbi, for viewing ps/pdf files on framebuffer
ida      - X11 application (Motif based) for viewing images with
           basic editing functions
exiftran - command line tool to do lossless transformations of JPEG
           images, similar to jpegtran but includes EXIF data
thumbnail.cgi - CGI script to extract EXIF thumbnails from jpeg images
                and send them to web browser

This project used to be 2 seperate projects (fbi and ida), but later
merged by author.

%prep
%setup -q
%patch0 -p1 -b .mktemp
%patch1 -p1 -b .resolution

%build
# Must use CFLAGS as env variable, because makefile adds flags to it.
# Directly specifying CFLAGS as make variable would fail
export CFLAGS="%optflags"
%make verbose=yes

%install
rm -rf %{buildroot}
%makeinstall_std prefix=%{_prefix}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes COPYING README
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Jan 28 2005 Abel Cheung <deaddog@mandrake.org> 2.03-1mdk
- New version, obsoletes fbi
- Redo P0 (partially fixed upstream), only change it to use mktemp
- P1: Add -r switch for fbgs to support any user specified resolution

* Wed Nov 17 2004 Abel Cheung <deaddog@mandrake.org> 1.31-4mdk
- Add missing BuildRequires
- Patch0: Fix fbgs and make it use mktemp

* Fri Jul 02 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.31-3mdk
- Rebuild 

* Wed May 19 2004 Michael Scherer <misc@mandrake.org> 1.31-2mdk 
- update Url, thanks to Eskild Hustvedt

* Tue May 18 2004 Michael Scherer <misc@mandrake.org> 1.31-1mdk
- New release 1.31
- rpmbuildupdate aware

* Wed Dec 03 2003 Abel Cheung <deaddog@deaddog.org> 1.28-2mdk
- Rebuild against libpcd for PhotoCD support
- Remove bogus post/preun scriptlets (sorry)

* Mon Dec 01 2003 Abel Cheung <deaddog@deaddog.org> 1.28-1mdk
- First Mandrake package, based on spec from source
